(defun c:pilares3D ()
  ;==Colocao dos pilares==
  (command "layer" "n" "pilares" "color" "5" "pilares" "s" "pilares" "")
  (command "linetype" "s" "continuous" "")
  (alert ">>Colocao dos pilares da estrutura (pressione OK).")
  (command "osnap" "end,int,cen")
  (setq padrao (open "Nome da obra.txt" "r"))
  (setq nome (read-line padrao))
  (close padrao)
  (setq numero3 "3")      ;Posicao do arquivo
  (setq extensao ".txt")
      (setq numero2 "2")
    (setq arqeixos1 (strcat nome numero2 extensao))
    (setq arqeixos (open arqeixos1 "r"))
    (while (setq leAl (read-line arqeixos))
    (setq Al1(read (substr leAl 43 15)))
    )
  (close arqeixos)
  (setq arquivo (strcat nome numero3 extensao))
  (setq arquivo1 (open arquivo "w"))
  (setq espao "        ")
  (setq linha "\n")
   ;Carregamento do mdulo Pilaresiso3d;
  (setq abre1 (findfile "Programa FORMAS_A_3D"))
  (setq abre2 "\\pilaresiso3D.lsp")
 (setq arquivo2 (strcat abre1 abre2))
  (load arquivo2)
  (alert " Neste mdulo os pilares so inseridos continuamente com a altura total do Prtico, para inserir pilares com diferentes alturas aperte [esc] at cancelar e digite 'Pilaresiso3d' no prompt")
  ;Definir a vista como sendo Topo (padro)
  (alert ">>Pressione a tecla direita do mouse e escolha em Preset views a vista Top, em seguida de Enter")
  (command "3dorbit") 
  (alert "Arranje os pilares na estrutura seguindo o sentido de CRESCIMENTO de X (esquerda para direita) e DECRESCIMENTO de Y (cima para baixo).")
  (setq condio 1)
  (setq cont2 1)
  (while (<= (- condio 2) 0)
    ;Definio dos comprimentos do pilar
    (if (<= (- condio 1) 0)
      (progn
	(command "osnap" "int")
	(initget 7); Permissao apenas para numeros maiores que zero
	(setq J1 (getreal "\nComprimento(cm) do lado em relao ao eixo x do pilar==> "))
	(setq U (getreal "\nComprimento(cm) do lado em relao ao eixo y do pilar==> "))
	(setq J2 (rtos J1 1 3))
	(setq U1 (rtos U 1 3))
	(setq J3 (rtos J1 2 1))
	(setq U2 (rtos U 2 1))
	)
      )
    ;Definio da posio do pilar
     (command "osnap" "end,int,cen")
     (setq B (getpoint "\nUtilize o Zoom na escolha o local para inserir o pilar, em qualquer interseco dos eixos."))
      (setq coordX (car B))
      (setq coordY (cadr B))
      (setq coordZ 0) ; Assim s ser possivel a insero de 1 pilar continuo em cada interseco de eixos
    ;Caso queira-se mudar os pilares seria necessario visualizar em SW e  definir coordZ como (caddr B)
      (setq coordXf1 (rtos coordX 1 3))
      (setq coordYf1 (rtos coordY 1 3))
      (setq coordZf1 (rtos coordZ 1 3)) ; igualmente 
      (setq C (list coordX coordY coordZ)) ; igualmente
      (setq D (polar C (/ pi 2) (/ U 2)))
      (setq E (polar C (/ (* 3 pi) 2) (/ U 2)))
      (setq F (polar D (* 2 pi) (/ J1 2)))
      (setq G (polar E (* 3 pi) (/ J1 2)))
      (command "rectangle" F G "")
      (setq Rec (entlast))
      (setq condio 1)
      (command "extrude" Rec "" Al "" 0 "")
      (command "osnap" "off")
      ; Nomenclatura dos pilares
      (setq pilar "P")
      (setq numeropilar cont2)
      (princ pilar arquivo1)
      (princ numeropilar arquivo1)
      (princ espao arquivo1)
      (princ J2 arquivo1)
      (princ espao arquivo1)
      (princ U1 arquivo1)
      (princ espao arquivo1)
      (princ coordXf1 arquivo1)
      (princ espao arquivo1)
      (princ coordYf1 arquivo1)
      (princ espao arquivo1)
      (princ linha arquivo1)
; Definio de continuao da dimenso do pilar
     (setq condi (getint "Para continuar com o mesmo pilar digite [2], para mudar a dimenso do pilar digite [1] e para encerrar digite [3]  "))
     (if (= condi 2)
       (progn
	 (setq condio 2)
	)
       )
    (if (= condi 1)
      (progn
	(setq condio 1)
	)
      )
    (if (= condi 3)
      (progn
	(setq condio 3)
	)
      )
(setq cont2 (+ cont2 1))
    )
  (close arquivo1)
  (command "zoom" "extents")    
  (alert ">>Ajuste a rbita que melhor visualize sua obra, em seguida de Esc")
  (command "3dorbit")
   ;Carregamento do mdulo VIGAS;
  (alert "Para inserir as vigas na estrutura, aps pressionar OK digite a palavra 'vigas3D' no prompt de comando.")
  (setq abre1 (findfile "Programa FORMAS_A_3D"))
  (setq abre2 "\\Vigas3D.lsp")
  (setq arquivo3 (strcat abre1 abre2))
  (load arquivo3)
   )