(defun c:eixos3D ()
  ;Definir a vista como sendo Isometrica sudoeste
  (alert ">>Pressione a tecla direita do mouse e escolha em Preset views a vista SW isometric, em seguida de Esc")
  (command "3dorbit")
  (command "osnap" "off")
  ;colocao dos eixos
  (command "layer" "n" "eixosy" "color" "2" "eixosy" "s" "eixosy" "")
  (alert ">>Colocao dos eixos verticais e horizontais da estrutura. As medidas devem ser inseridas em centmetro (Pressione OK)")
  (setq nivel (getint "\nNmero de nveis==>  "))
  (initget 7)
  (setq Anivel (getdist "\nAltura dos nveis==>  "))
  (initget 7)
  (setq mv3 (getdist "\nDistncia mxima vertical==> "))
  (alert "Os eixos so inseridos na tela grfica seguindo o sentido de crescimento dos eixos X e Y(PRESSIONE OK).")
 ;eixos verticais
  (initget 7)
  (setq neixo (getreal "\nNmero de eixos verticais==> "))
  (setq eixonumero 1)
  (setq Al 0)
  (setq K1 0)
  (setq M60 -60)
  (setq ext (+ mv3 60))
  (command "linetype" "s" "dashdot" "")
  (setq nivel (+ nivel 1))
  (while (<= (- eixonumero nivel) 0)
  (command "line" (list K1 M60 Al)(list K1 ext Al) "") ; linha de 0;-60;al a 0;mv3+60;al
  (setq Al (+ Al Anivel))
  (setq eixonumero (+ eixonumero 1))
  (command "zoom" "extents")
    )
  (setq eixonumero 1)
  (setq Al 0)
  (while (< (- eixonumero neixo) 0)
    (setq nivelnumero 1)
    (setq Al 0)
    (initget 7)
    (setq distancia (getdist "\nEntre com a distncia entre os eixos==> "))
    (setq K1 (+ K1 distancia))
    (command "linetype" "s" "dashdot" "")
    (while (<= (- nivelnumero nivel) 0)
    (command "line" (list K1 M60 Al)(list K1 ext Al) "")
    (setq Al (+ Al Anivel))
    (setq nivelnumero (+ nivelnumero 1))
    )
    (setq eixonumero (+ eixonumero 1))
    (command "zoom" "extents")
    )
    ;eixos horizontais
  (initget 7)
  (setq mh3 (getdist "\nDistncia mxima horizontal==> "))
  (command "layer" "n" "eixosx" "color" "1" "eixosx" "s" "eixosx" "")
  (setq neixo1 (getreal "\nNmero de eixos horizontais==> "))
  (setq eixonumero1 1)
  (setq Al2 0)
  (setq K2 0)
  (setq M60 -60)
  (setq ext1 (+ mh3 60))
  (command "linetype" "s" "dashdot" "")
  (command "zoom" "extents")
  (while (<= (- eixonumero1 nivel) 0)
  (command "line" (list ext1 K2 Al2)(list M60 K2 Al2) "")
  (setq Al2 (+ Al2 Anivel))
  (setq eixonumero1 (+ eixonumero1 1))
  (command "zoom" "extents")
    )
  (setq eixonumero1 1)
  (while (< (- eixonumero1 neixo1) 0)
    (setq nivelnumero 1)
    (setq Al2 0)
    (initget 7)
    (setq distancia1 (getdist "\nDistncia entre os eixos horizontais==> "))
    (setq K2 (+ K2 distancia1))
    (command "linetype" "s" "dashdot" "")
    (while (<= (- nivelnumero nivel) 0)
    (command "line" (list ext1 K2 Al2)(list M60 K2 Al2) "")
    (setq Al2 (+ Al2 Anivel))
    (setq nivelnumero (+ nivelnumero 1))
    )
    (setq eixonumero1 (+ eixonumero1 1))
    (command "zoom" "extents")
       )
   (setq Al (- Al Anivel)) ; Correo para a altura total
  (setq Nivel (- nivel 1 )) ; correo para o nmero de niveis
    (command "zoom" "e")
  (alert ">>Ajuste a rbita que melhor visualize sua obra, em seguida de Esc")
  (command "3dorbit")
  (setq nome1 (open "Nome da obra.txt" "r"))
  (setq nome2 (read-line nome1))
  (setq numero2 "2");posicao do arquivo
  (setq extensao ".txt")
  (setq arquivo (strcat nome2 numero2 extensao))
  (setq arquivo1 (open arquivo "w"))
  (princ "#Nmero niveis  // " arquivo1)
  (princ "#Alturas parciais  // " arquivo1)
  (princ "#Altura total  // " arquivo1)
  (princ "# eixos verticais  // " arquivo1)
  (princ "#D mxima vertical  // " arquivo1)
  (princ "# eixos horizontais  // " arquivo1)
  (princ "#D mxima horizontal  // " arquivo1)
  (princ "\n" arquivo1)
  (princ "       " arquivo1)
  (princ nivel arquivo1)
  (princ "                  " arquivo1)
  (princ (/ Al nivel) arquivo1)
  (princ "              " arquivo1)
  (princ Al arquivo1)
  (princ "                " arquivo1)
  (princ neixo arquivo1)
  (princ "                   " arquivo1)
  (princ mv3 arquivo1)
  (princ "                  " arquivo1)
  (princ neixo1 arquivo1)
  (princ "                     " arquivo1)
  (princ mh3 arquivo1)
  (close arquivo1)
  ;Carregamento do mdulo PILARES;
  (alert "Para inserir os pilares na estrutura, aps pressionar OK digite a palavra 'pilares3D' no prompt de comando.")
  (setq a (findfile "Programa FORMAS_A_3D"))
  (setq b "\\Pilares3D.lsp")
  (setq arquivo2 (strcat a b))
  (load arquivo2)
  )
  