(defun c:estrutura3d()
  ;==Procura da obra a ser desenha==
  (alert ">>A obra a ser desenhada deve ser digitada assim como fora no inicio do Programa Formas (pressione OK).")
  (setq numero5 "5")
  (setq numero2 "2")
  (command "osnap" "off")
  (setq nome (getstring T "\nInsira o nome da obra a ser executada==> "))
 ; (setq padrao (open "Obra atual.txt" "r"))
;  (setq nome (read-line padrao))
 ;(close padrao)
  (setq extensao ".txt")
  ;==Colocao dos pilares==
  (alert ">>Colocao dos pilares da estrutura (pressione OK).")
  (command "layer" "n" "pilares" "color" "5" "pilares" "s" "pilares" "")
  (command "color" "bylayer" )
  (setq altotal1 (strcat nome numero2 extensao))
  (setq altotal (open altotal1 "r"))
  (while (setq lecota (read-line altotal))
    (setq cota1 (read (substr lecota 82 5)))
    )
  (close altotal)
   (setq cota (* cota1 100))
   (setq pilares1 (strcat nome numero5 extensao))
  (setq pilares (open pilares1 "r"))
  (while (setq coord (read-line pilares))
    (setq coordx1 (read (substr coord 44 11)))
    (setq coordy1 (read (substr coord 61 11)))
    (setq X (substr coord 9 13))                ;Comprimento(cm) do lado em relao ao eixo x do pilar==>
    (setq Y (substr coord 26 13))    ;Comprimento(cm) do lado em relao ao eixo y do pilar==>
    (setq J1 (atof X))
    (setq U (atof Y))
    (setq C (list coordx1 coordy1 0))
    (setq D (polar C (/ pi 2) (/ U 2)))
    (setq E (polar C (/ (* 3 pi) 2) (/ U 2)))
    (setq F (polar D (* 2 pi) (/ J1 2)))
    (setq G (polar E (* 3 pi) (/ J1 2)))
    (command "rectangle" F G "")
    (setq Rec (entlast))
    (command "extrude" Rec "" cota "" 0 "")
    )       ; fim do while
    (close pilares)
 ;Desenho das vigas
      (alert ">>Colocao das vigas na estrutura (pressione OK).")
  (command "layer" "n" "vigas" "color" "3" "vigas" "s" "vigas" "")
  (command "color" "bylayer")
  (setq numero6 "6")  
  (setq extensao ".txt")
    (setq vigas1 (strcat nome numero6 extensao))
    (setq vigas (open vigas1 "r"))
    (while (setq coord (read-line vigas))
    (setq larg1 (substr coord 11 13))           ; Largura da viga
    (setq alt1  (substr coord 26 15))             ; Altura da viga
    (setq coordix (read (substr coord 45 13)))             ;o ponto de INICIO da viga (inteseco de eixos)")) 
    (setq coordiy (read (substr coord 62 13)))    
    (setq coordfx (read (substr coord 96 13)))             ;o ponto de FINAL da viga (inteseco de eixos)")) 
    (setq coordfy (read (substr coord 113 13))) 
    (setq nivel1 (read (substr coord 79 13)))
    (setq nivel (* nivel1 100))
    (setq larg (atof larg1))
    (setq C4 (atof alt1))
       (if (= coordiy coordfy)
      (progn
    (setq M (list coordix coordiy nivel))                  ; ponto inicial                X
    (setq N (list coordfx coordfy nivel))                       ; ponto final
    (setq A (polar M (/ pi 2) (/ larg 2)))
    (setq B (polar N (/ (* 3 pi) 2) (/ larg 2)))
    )
	 )
       (if (= coordix coordfx)
      (progn	
    (setq M (list coordix coordiy nivel))                  ; ponto inicial
    (setq N (list coordfx coordfy nivel))                     ; ponto final        Y
      (setq A (polar M (* 3 pi) (/ larg 2)))
      (setq B (polar N (* 2 pi) (/ larg 2)))
   )
	 )
    (command "rectangle" A B "")
    (setq Hrec (entlast))
    (setq C4a (* C4 -1))
    (command "extrude" Hrec "" C4a "" 0 "")
        )              ; fim do while
  (close vigas )
; desenho das lajes
   (alert ">>Colocao das lajes na estrutura (pressione OK).")
   (command "layer" "n" "lajes" "color" "40" "lajes" "s" "lajes" "")
   (command "color" "bylayer")
   (setq numero7 "7")  
   (setq extensao ".txt")
    (setq lajes1 (strcat nome numero7 extensao))
    (setq lajes (open lajes1 "r"))
    (while (setq coord (read-line lajes))
    (setq esp  (substr coord 9 14))             ; espessura da laje
    (setq nivel1 (read (substr coord 56 14)))
    (setq nivel (* nivel1 100))
    (setq espessura (atof esp))              
    (setq x1laje (read (substr coord 74 13)))
    (setq y1laje (read (substr coord 90 13)))
    (setq P1 (list x1laje y1laje nivel))      
    (setq Lx1 (substr coord 25 14))
    (setq Ly1 (substr coord 41 14))
    (setq Lx (atof Lx1))
    (setq Ly (atof Ly1))
    (setq X2 (+ x1laje Lx))
    (setq Y2 (- y1laje Ly))
    (setq P2 (list X2 Y2 nivel))
    (command "rectangle" P1 P2 "")
    (setq Rec (entlast))
    (setq F1a (* -1 espessura ))
    (command "extrude" Rec "" F1a "" 0 "")
    (setq Lbloco (entlast))
      )
  (close lajes)
  ;Carregamento do mdulo PAREDES;
  ;(alert "Para inserir as paredes na estrutura, aps pressionar OK digite a palavra 'paredes3D' no prompt de comando.")
  ;(setq a (findfile "Programa FORMAS_A_3D"))
  ;(setq b "\\paredes3d.lsp")
  ;(setq arquivop (strcat a b))
  ;(load arquivop)
  ) 